

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}

body {
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: #f5f5f5;
}

.auth-container {
  display: flex;
  max-width: 900px;
  width: 95%;
  backdrop-filter: blur(20px);
  border-radius: 16px;
  overflow: hidden;
  box-shadow: 0 15px 40px rgba(0, 0, 0, 0.1);
  max-height: 90vh; 
}


.auth-left {
  flex: 1;
  padding: 40px;
  color: #fff;
  background-image:
    linear-gradient(
      rgba(2, 2, 3, 0.4),
      rgba(2, 2, 3, 0.4)
    ),
    url("portrait-young-african-american-man-with-vr-glasses.jpg");
  width: 100%;
  background-repeat: no-repeat;
  background-size: cover;
  

  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.auth-left h2 {
  font-size: 2.2rem;
  line-height: 1.3;
}

.brand-icons {
  display: flex;
  gap: 12px;
  flex-wrap: wrap;
  font-size: 14px;
  opacity: 0.9;
}

.auth-right {
  flex: 1;
  padding: 40px;
  overflow-y: auto; 
  max-height: 100%; 
}


.auth-right::-webkit-scrollbar {
  width: 8px;
}

.auth-right::-webkit-scrollbar-track {
  background: #f0f0f0;
  border-radius: 8px;
}

.auth-right::-webkit-scrollbar-thumb {
  background: #ccc;
  border-radius: 8px;
}

.auth-right h2 {
  font-size: 24px;
  margin-bottom: 8px;
}

.auth-right p {
  color: #666;
  margin-bottom: 24px;
}

.form-group {
  margin-bottom: 16px;
}

.form-group label {
  display: block;
  font-size: 14px;
  margin-bottom: 6px;
  color: #333;
}

.form-group input {
  width: 100%;
  padding: 12px;
  border-radius: 8px;
  border: 1px solid #ccc;
  outline: none;
}
select{
  width: 100%;
  padding: 12px;
  border-radius: 8px;
  border: 1px solid #ccc;
  outline: none;
}
textarea{
    width: 100%;
  padding: 12px;
  border-radius: 8px;
  border: 1px solid #ccc;
  outline: none;
}

.form-group input:focus {
  border-color: black;
}

.form-options {
  font-size: 14px;
  margin-bottom: 20px;
}

input[type="checkbox"] {
  accent-color: black;
}

button[type="submit"] {
  width: 100%;
  padding: 12px;
  border: none;
  border-radius: 8px;
  background: black;
  color: #fff;
  font-size: 16px;
  cursor: pointer;
}

button:hover {
  opacity: 0.9;
}

.divider {
  text-align: center;
  margin: 20px 0;
  font-size: 14px;
  color: #999;
}

/* RESPONSIVE */
@media (max-width: 768px) {
  .auth-container {
    flex-direction: column;
    max-height: none; 
  }

  .auth-left {
    text-align: center;
    padding: 20px;
  }

  .auth-right {
    max-height: none;
    padding: 20px;
  }
}
